<a href='https://github.com/angular/angular.js/edit/master/?message=docs(error%2F$compile)%3A%20describe%20your%20change...' class='improve-docs btn btn-primary'><i class="glyphicon glyphicon-edit">&nbsp;</i>Improve this Doc</a>


<h1>$compile</h1>

<div class="description">
  Here are the list of errors in the $compile namespace.

</div>

<div class="component-breakdown">
  <div>
    <table class="definition-table">
      <tr>
        <th>Name</th>
        <th>Description</th>
      </tr>
      <tr>
        <td><a href="error/$compile/baddir">baddir</td>
        <td>Invalid Directive/Component Name</td>
      </tr>
      <tr>
        <td><a href="error/$compile/ctreq">ctreq</td>
        <td>Missing Required Controller</td>
      </tr>
      <tr>
        <td><a href="error/$compile/iscp">iscp</td>
        <td>Invalid Isolate Scope Definition</td>
      </tr>
      <tr>
        <td><a href="error/$compile/multidir">multidir</td>
        <td>Multiple Directive Resource Contention</td>
      </tr>
      <tr>
        <td><a href="error/$compile/noctrl">noctrl</td>
        <td>Controller is required.</td>
      </tr>
      <tr>
        <td><a href="error/$compile/nodomevents">nodomevents</td>
        <td>Interpolated Event Attributes</td>
      </tr>
      <tr>
        <td><a href="error/$compile/noident">noident</td>
        <td>Controller identifier is required.</td>
      </tr>
      <tr>
        <td><a href="error/$compile/nonassign">nonassign</td>
        <td>Non-Assignable Expression</td>
      </tr>
      <tr>
        <td><a href="error/$compile/selmulti">selmulti</td>
        <td>Binding to Multiple Attribute</td>
      </tr>
      <tr>
        <td><a href="error/$compile/tpload">tpload</td>
        <td>Error Loading Template</td>
      </tr>
      <tr>
        <td><a href="error/$compile/tplrt">tplrt</td>
        <td>Invalid Template Root</td>
      </tr>
      <tr>
        <td><a href="error/$compile/uterdir">uterdir</td>
        <td>Unterminated Directive</td>
      </tr>
      
    </table>
  </div>
</div>


